SDL_SetJoystickPlayerIndex(3)

NAME
SDL_SetJoystickPlayerIndex - Set the player index of an opened joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetJoystickPlayerIndex(SDL_Joystick *joystick, int player_index);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ()

player_index
    Player index to assign to this joystick, or -1 to clear the player index and turn off player LEDs.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickPlayerIndex(3)